javax.persistence

## Enum AccessType

- java.lang.Object
- - java.lang.Enum<AccessType>
  - - javax.persistence.AccessType

All Implemented Interfaces:
  Serializable, Comparable<AccessType>

    public enum AccessType
    extends Enum<AccessType>

Used with the `Access` annotation to specify an access type to be applied to an entity class, mapped superclass, or embeddable class, or to a specific attribute of such a class.

Since:
  Java Persistence 2.0
See Also:
  `Access`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FIELD` Field-based access is used.
`PROPERTY` Property-based access is used.

### Method Summary

All Methods Static Methods Concrete Methods
`static AccessType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AccessType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FIELD

    public static final AccessType FIELD

Field-based access is used.

#### PROPERTY

    public static final AccessType PROPERTY

Property-based access is used.

### Method Detail

#### values

    public static AccessType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AccessType c : AccessType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AccessType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null